Bug 292 - KWrite localization bugs (Russian locale)
: KWrite localization bugs (Russian locale)
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Localization
: Marathon
: All Linux
: Normal enhancement
: ---
Assigned To: JDronova
: ROSA Linux Bugs
: [Cobalt]
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-27 15:41 MSD by Denis Koryavov
Modified: 2015-09-03 21:06 MSD (History)
4 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments
Screenshot 1 (78.79 KB, image/png)
2012-05-27 15:41 MSD, Denis Koryavov
Details
Screenshot 2 (74.38 KB, image/png)
2012-05-27 15:42 MSD, Denis Koryavov
Details
Screenshot 1 (fixed) (90.55 KB, image/png)
2012-05-27 15:44 MSD, Denis Koryavov
Details
Screenshot 2 (fixed) (83.82 KB, image/png)
2012-05-27 15:45 MSD, Denis Koryavov
Details
in Rosa2012.1 (163.18 KB, image/png)
2012-12-06 00:45 MSK, Postnikov Dmitry
Details
in ROSA2012.1RC-1 (167.29 KB, image/png)
2012-12-08 15:59 MSK, Postnikov Dmitry
Details
in ROSA2012.1RC-2 (193.35 KB, image/png)
2012-12-08 15:59 MSK, Postnikov Dmitry
Details
cobalt-kwrite-01.png (142.91 KB, image/png)
2014-04-09 21:09 MSD, FirstLevel
Details
cobalt-kwrite-02.png (131.70 KB, image/png)
2014-04-09 21:09 MSD, FirstLevel
Details
теперь хорошо (73.11 KB, image/png)
2014-07-07 19:13 MSD, JDronova
Details
Осталось KWRITE-NORMAL (101.41 KB, image/jpeg)
2014-07-08 15:24 MSD, FirstLevel
Details
Осталось NORMAL (102.77 KB, image/jpeg)
2014-07-08 15:25 MSD, FirstLevel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Koryavov 2012-05-27 15:41:07 MSD
Created attachment 205 [details]
Screenshot 1

Description of problem:

Some string in Kwrite are not localized in Russian locale. See attachment for more details.
Comment 1 Denis Koryavov 2012-05-27 15:42:05 MSD
Created attachment 206 [details]
Screenshot 2
Comment 2 Denis Koryavov 2012-05-27 15:44:53 MSD
Created attachment 207 [details]
Screenshot 1 (fixed)
Comment 3 Denis Koryavov 2012-05-27 15:45:24 MSD
Created attachment 208 [details]
Screenshot 2 (fixed)
Comment 4 JDronova 2012-12-04 09:38:33 MSK
Kwrite is 100% localilized both in stable and trunk branches. Please check if the problem is still present in fully updated Marathon.
Comment 5 Postnikov Dmitry 2012-12-06 00:45:18 MSK
The problem remains in ROSA2012.1
kde-l10n-ru-4.9.3-1-rosa2012.1.noarch
kwrite-4.9.3-1-rosa2012.1.x86_64
Comment 6 Postnikov Dmitry 2012-12-06 00:45:33 MSK
Created attachment 847 [details]
in Rosa2012.1
Comment 7 Postnikov Dmitry 2012-12-08 15:59:25 MSK
Created attachment 892 [details]
in ROSA2012.1RC-1
Comment 8 Postnikov Dmitry 2012-12-08 15:59:47 MSK
Created attachment 893 [details]
in ROSA2012.1RC-2
Comment 9 Stanislav Fomin 2013-06-04 01:09:01 MSD
Move these bugs from Stanislav to Julia.
Comment 10 FirstLevel 2014-03-19 13:23:01 MSK
Case is partially actuall for 
sergei@ltsx32kde ~]$ rpm -qa | grep kwrite
kwrite-4.8.3-1-rosa.lts2012.0.i586
[sergei@ltsx32kde ~]$
Comment 11 FirstLevel 2014-04-03 10:58:07 MSD
Актуально в свежеустановленном кобальте частично
Comment 12 JDronova 2014-04-09 19:10:34 MSD
(In reply to comment #11)
> Актуально в свежеустановленном кобальте частично
В каком смысле частично? Сергей, можно дать конкретные места в картинках, которые до сих пор не локализованы?
Comment 13 JDronova 2014-04-09 19:13:04 MSD
Дима, и если ты ещё раз влезешь в марафоновский баг со своим 2012.1, я тебя побью.
Comment 14 Postnikov Dmitry 2014-04-09 19:15:00 MSD
(In reply to comment #13)
> Дима, и если ты ещё раз влезешь в марафоновский баг со своим 2012.1, я тебя
> побью.

Пардон.
Comment 15 FirstLevel 2014-04-09 21:08:40 MSD
(In reply to comment #12)
> (In reply to comment #11)
> > Актуально в свежеустановленном кобальте частично
> В каком смысле частично? Сергей, можно дать конкретные места в картинках,
> которые до сих пор не локализованы?

Для Кобальта
[sergei@cobalt ~]$ rpm -qa | grep kwrite
kwrite-4.8.3-1-rosa.lts2012.0.i586

Скриншоты непереведденого приаттачиваю
Comment 16 FirstLevel 2014-04-09 21:09:15 MSD
Created attachment 2783 [details]
cobalt-kwrite-01.png
Comment 17 FirstLevel 2014-04-09 21:09:53 MSD
Created attachment 2784 [details]
cobalt-kwrite-02.png
Comment 18 FirstLevel 2014-04-09 21:10:45 MSD
Вообще, мне непонятно, надо ли заводить отдельно баги по перекрывающимся проблемам LTS и Cobalt.
Comment 19 JDronova 2014-07-07 17:55:59 MSD
(In reply to comment #18)
> Вообще, мне непонятно, надо ли заводить отдельно баги по перекрывающимся
> проблемам LTS и Cobalt.

Отдельно не надо, но упоминать в заголовке или в описании бага, что это годно и для кобальта и тп — нужно.
Comment 20 JDronova 2014-07-07 19:13:40 MSD
Created attachment 3031 [details]
теперь хорошо

Значит, на представленных ранее скриншотах присутствуют также и названия схем для kwrite, которые, естественно, не переводятся. Всё остальное нашлось в недоделанном katepart4 соответствующей версии. Прилагаю скрин. Готовые файлы приложу к задаче на редмайне, чтобы вести статистику.
Comment 21 JDronova 2014-07-08 14:36:07 MSD
Серёжа, можешь проверить собранный пакет?
https://abf.rosalinux.ru/build_lists/1994189
https://abf.rosalinux.ru/build_lists/1994190
Comment 22 FirstLevel 2014-07-08 15:24:55 MSD
Created attachment 3034 [details]
Осталось KWRITE-NORMAL
Comment 23 FirstLevel 2014-07-08 15:25:27 MSD
Created attachment 3035 [details]
Осталось NORMAL
Comment 24 FirstLevel 2014-07-08 15:27:43 MSD
(In reply to comment #21)
> Серёжа, можешь проверить собранный пакет?
> https://abf.rosalinux.ru/build_lists/1994189
> https://abf.rosalinux.ru/build_lists/1994190

Проверил.
Осталось в двух окнах:
Схема: Kwrite-Normal
Тип файла: Normal
Comment 25 JDronova 2014-07-08 15:33:44 MSD
(In reply to comment #22)
> Created attachment 3034 [details]
> Осталось KWRITE-NORMAL

Ну это как раз название схемы, оно точно не будет переводиться. А вот шо за тип файла откуда он берётся, щас проверю. Скорей всего тоже из схемы, которые на инглише идут.
Comment 26 Denis Silakov 2015-09-03 21:06:59 MSD
Предлагаю пометить как Fixed. Оставшиеся названия схем вряд ли получится перевести разумными ресурсами, не перекореживая код.